# std::once_flag

From cppreference.com
< cpp‎ | thread

Defined in header `<mutex>` |  |
class once_flag; |  | (since C++11)

The class `std::once_flag` is a helper structure for std::call_once.

An object of type `std::once_flag` that is passed to multiple calls to std::call_once allows those calls to coordinate with each other such that only one of the calls will actually run to completion.

`std::once_flag` is neither copyable nor movable.

### Member functions

## std::once_flag::once_flag

constexpr once_flag() noexcept; |  |

Constructs an `once_flag` object. The internal state is set to indicate that no function has been called yet.

### Parameters

(none)

### See also

call_once (C++11) | invokes a function only once even if called from multiple threads (function template)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/thread/once_flag&oldid=93347"